#include "xgfxstatebits.h"

XGfxStateBits::XGfxStateBits()
    : XAsset()
    , mLoadBits(2)
{
    
}

XGfxStateBits::~XGfxStateBits()
{
    
}

void XGfxStateBits::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        *aStream
            >> mLoadBits[0]
            >> mLoadBits[1];
    }
}

void XGfxStateBits::Clear()
{
    mLoadBits.clear();
}
